Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.search
Class PageSearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria
          com.bea.netuix.application.search.PageSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class PageSearchCriteria

extends WebAppSearchCriteria

A `SearchCriteria` object for searching for pages.

See Also
  Serialized Form

Constructor Summary
`PageSearchCriteria(String webAppName)`
`PageSearchCriteria(String webAppName, boolean publicOnly)`

Method Summary
`boolean` | `getPublicOnlyCriteria()` Returns true if only public pages are to be returned.
`void` | `setPublicOnly(boolean publicOnly)` Specifies whether only public pages should be returned.

Methods inherited from class com.bea.netuix.application.search.WebAppSearchCriteria
`getWebAppName, init, isWebAppNameCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageSearchCriteria

    public PageSearchCriteria(String webAppName)

Parameters
  `webAppName` - the WebApp to search in.

### PageSearchCriteria

    public PageSearchCriteria(String webAppName,
                              boolean publicOnly)

Parameters
  `webAppName` - the WebApp to search in.
  `publicOnly` - true if only public pages should be returned.

Method Detail

### setPublicOnly

    public void setPublicOnly(boolean publicOnly)

  Specifies whether only public pages should be returned. By default, this is `false`.

  Parameters
    `publicOnly` - true if only public pages are to be returned.

### getPublicOnlyCriteria

    public boolean getPublicOnlyCriteria()

  Returns true if only public pages are to be returned.

  Returns
    true if only public pages are to be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved